CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2010-0742

The Cryptographic Message Syntax (CMS) implementation in crypto/cms/cms_asn1.c in OpenSSL before 0.9.8o and 1.x before 1.0.0a does not properly handle structures that contain OriginatorInfo, which allows context-dependent attackers to modify invalid memory locations or conduct double-free attacks, and possibly execute arbitrary code, via unspecified vectors.
Publish Date : 2010-06-03 Last Update Date : 2014-03-26
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute Code
CWE ID 310

- Related OVAL Definitions

Title Definition Id Class Family
HP-UX Running OpenSSL, Remote Execution of Arbitrary Code, Denial of Service (DoS) oval:org.mitre.oval:def:12395 unix
Vulnerability in OpenSSL before 0.9.8o and 1.x before 1.0.0a, allows context-dependent attackers to modify invalid memor... oval:org.mitre.oval:def:24950 windows
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2010-0742

# Product Type Vendor Product Version Update Edition Language
1 Application Openssl Openssl 0.9.1c Version Details Vulnerabilities
2 Application Openssl Openssl 0.9.2b Version Details Vulnerabilities
3 Application Openssl Openssl 0.9.3a Version Details Vulnerabilities
4 Application Openssl Openssl 0.9.3 Version Details Vulnerabilities
5 Application Openssl Openssl 0.9.4 Version Details Vulnerabilities
6 Application Openssl Openssl 0.9.5 Beta1 Version Details Vulnerabilities
7 Application Openssl Openssl 0.9.5a Beta1 Version Details Vulnerabilities
8 Application Openssl Openssl 0.9.5a Beta2 Version Details Vulnerabilities
9 Application Openssl Openssl 0.9.5 Beta2 Version Details Vulnerabilities
10 Application Openssl Openssl 0.9.5 Version Details Vulnerabilities
11 Application Openssl Openssl 0.9.5a Version Details Vulnerabilities
12 Application Openssl Openssl 0.9.6d Version Details Vulnerabilities
13 Application Openssl Openssl 0.9.6i Version Details Vulnerabilities
14 Application Openssl Openssl 0.9.6 Beta1 Version Details Vulnerabilities
15 Application Openssl Openssl 0.9.6j Version Details Vulnerabilities
16 Application Openssl Openssl 0.9.6a Version Details Vulnerabilities
17 Application Openssl Openssl 0.9.6h Version Details Vulnerabilities
18 Application Openssl Openssl 0.9.6m Version Details Vulnerabilities
19 Application Openssl Openssl 0.9.6 Beta2 Version Details Vulnerabilities
20 Application Openssl Openssl 0.9.6a Beta1 Version Details Vulnerabilities
21 Application Openssl Openssl 0.9.6c Version Details Vulnerabilities
22 Application Openssl Openssl 0.9.6l Version Details Vulnerabilities
23 Application Openssl Openssl 0.9.6 Beta3 Version Details Vulnerabilities
24 Application Openssl Openssl 0.9.6a Beta2 Version Details Vulnerabilities
25 Application Openssl Openssl 0.9.6b Version Details Vulnerabilities
26 Application Openssl Openssl 0.9.6g Version Details Vulnerabilities
27 Application Openssl Openssl 0.9.6a Beta3 Version Details Vulnerabilities
28 Application Openssl Openssl 0.9.6e Version Details Vulnerabilities
29 Application Openssl Openssl 0.9.6f Version Details Vulnerabilities
30 Application Openssl Openssl 0.9.6k Version Details Vulnerabilities
31 Application Openssl Openssl 0.9.6 Version Details Vulnerabilities
32 Application Openssl Openssl 0.9.7m Version Details Vulnerabilities
33 Application Openssl Openssl 0.9.7h Version Details Vulnerabilities
34 Application Openssl Openssl 0.9.7d Version Details Vulnerabilities
35 Application Openssl Openssl 0.9.7j Version Details Vulnerabilities
36 Application Openssl Openssl 0.9.7 Beta6 Version Details Vulnerabilities
37 Application Openssl Openssl 0.9.7 Beta1 Version Details Vulnerabilities
38 Application Openssl Openssl 0.9.7i Version Details Vulnerabilities
39 Application Openssl Openssl 0.9.7k Version Details Vulnerabilities
40 Application Openssl Openssl 0.9.7a Version Details Vulnerabilities
41 Application Openssl Openssl 0.9.7 Version Details Vulnerabilities
42 Application Openssl Openssl 0.9.7f Version Details Vulnerabilities
43 Application Openssl Openssl 0.9.7l Version Details Vulnerabilities
44 Application Openssl Openssl 0.9.7e Version Details Vulnerabilities
45 Application Openssl Openssl 0.9.7 Beta4 Version Details Vulnerabilities
46 Application Openssl Openssl 0.9.7 Beta3 Version Details Vulnerabilities
47 Application Openssl Openssl 0.9.7g Version Details Vulnerabilities
48 Application Openssl Openssl 0.9.7b Version Details Vulnerabilities
49 Application Openssl Openssl 0.9.7 Beta2 Version Details Vulnerabilities
50 Application Openssl Openssl 0.9.7 Beta5 Version Details Vulnerabilities
51 Application Openssl Openssl 0.9.7c Version Details Vulnerabilities
52 Application Openssl Openssl 0.9.8a Version Details Vulnerabilities
53 Application Openssl Openssl 0.9.8g Version Details Vulnerabilities
54 Application Openssl Openssl 0.9.8l Version Details Vulnerabilities
55 Application Openssl Openssl 0.9.8f Version Details Vulnerabilities
56 Application Openssl Openssl 0.9.8j Version Details Vulnerabilities
57 Application Openssl Openssl 0.9.8h Version Details Vulnerabilities
58 Application Openssl Openssl 0.9.8e Version Details Vulnerabilities
59 Application Openssl Openssl 0.9.8m Version Details Vulnerabilities
60 Application Openssl Openssl 0.9.8d Version Details Vulnerabilities
61 Application Openssl Openssl 0.9.8c Version Details Vulnerabilities
62 Application Openssl Openssl 0.9.8 Version Details Vulnerabilities
63 Application Openssl Openssl 0.9.8k Version Details Vulnerabilities
64 Application Openssl Openssl 0.9.8n Version Details Vulnerabilities
65 Application Openssl Openssl 0.9.8b Version Details Vulnerabilities
66 Application Openssl Openssl 0.9.8i Version Details Vulnerabilities
67 Application Openssl Openssl 1.0.0 Version Details Vulnerabilities
68 Application Openssl Openssl 1.0.0 Beta1 Version Details Vulnerabilities
69 Application Openssl Openssl 1.0.0 Beta2 Version Details Vulnerabilities
70 Application Openssl Openssl 1.0.0 Beta3 Version Details Vulnerabilities
71 Application Openssl Openssl 1.0.0 Beta4 Version Details Vulnerabilities
72 Application Openssl Openssl 1.0.0 Beta5 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Openssl Openssl 72

- References For CVE-2010-0742

http://www.vupen.com/english/advisories/2010/1313
VUPEN ADV-2010-1313
http://secunia.com/advisories/40000
SECUNIA 40000
http://cvs.openssl.org/chngview?cn=19693 CONFIRM
http://cvs.openssl.org/filediff?f=openssl/crypto/cms/cms_asn1.c&v1=1.8&v2=1.8.6.1 CONFIRM
http://marc.info/?l=bugtraq&m=129138643405740&w=2
HP SSRT100341
http://rt.openssl.org/Ticket/Display.html?id=2211&user=guest&pass=guest CONFIRM
http://www.securityfocus.com/bid/40502
BID 40502 OpenSSL Cryptographic Message Syntax Memory Corruption Vulnerability Release Date:2014-03-17
http://www.openssl.org/news/secadv_20100601.txt CONFIRM
http://secunia.com/advisories/42457
SECUNIA 42457
http://secunia.com/advisories/42733
SECUNIA 42733
http://secunia.com/advisories/42724
SECUNIA 42724
http://secunia.com/advisories/57353
SECUNIA 57353
http://www.vupen.com/english/advisories/2010/3105
VUPEN ADV-2010-3105
https://lists.balabit.com/pipermail/syslog-ng-announce/2011-January/000101.html
MLIST [syslog-ng-announce] 20110110 syslog-ng Premium Edition 3.0.6a has been released
http://secunia.com/advisories/40024
SECUNIA 40024
https://bugzilla.redhat.com/show_bug.cgi?id=598738 CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=ssg1S1004564 CONFIRM
https://kb.bluecoat.com/index?page=content&id=SA50 CONFIRM
https://lists.balabit.com/pipermail/syslog-ng-announce/2011-January/000102.html
MLIST [syslog-ng-announce] 20110110 syslog-ng Premium Edition 3.2.1a has been released

- Metasploit Modules Related To CVE-2010-0742

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.